<?php
    session_start();
    include 'settings.php';
    include 'connect.php';
       
    dbConnect::getUser();
    $dbConnect = new dbConnect();

    if(!isset($_SESSION['user'])){
        header('Location: login.php');
    }
    
    $status = 2; // default list, for review
    if(isset($_GET['status']) && in_array($_GET['status'], array(0,1,2))){
        $_SESSION['image-status'] = $_GET['status'];
        $status = $_SESSION['image-status'];
    }
    
    if(isset($_SESSION['image-status']) && $_SESSION['image-status'] != $status){ 
        $status = $_SESSION['image-status']; 
    }
    
    if(isset($_GET['status'])) header('Location: admin.php');
    
    $error_message = $message = "";
    
    if(isset($_POST['publish'])){
        if(isset($_POST['image_id']) && is_numeric($_POST['image_id'])){
            $image_id = $_POST['image_id'];
            $sql = "UPDATE `image` SET `status` = '1' WHERE `image`.`image_id` = {$image_id};";
            $dbConnect->doQuery($sql);
        }else{
            $error_message = "Error, please try again.";
        }
    }
    
    if(isset($_POST['delete'])){
        if(isset($_POST['image_id']) && is_numeric($_POST['image_id'])){
            $image_id = $_POST['image_id'];
            $sql = "UPDATE `image` SET `status` = '0' WHERE `image`.`image_id` = {$image_id};";
            $dbConnect->doQuery($sql);
        }else{
            $error_message = "Error, please try again.";
        }
    }
    
    if(isset($_POST['permanent-delete'])){
        if(isset($_POST['image_id']) && is_numeric($_POST['image_id'])){
            $image_id = $_POST['image_id'];
            $sql = "DELETE FROM `image` WHERE `image`.`image_id` = {$image_id};";
            $result = $dbConnect->doQuery($sql);
            if($result){
               $message = "Image deleted pemanently."; 
            }
        }else{
            $error_message = "Error, please try again.";
        }
    }
    
    if(isset($_POST['edit'])){
        if(isset($_POST['image_id']) && is_numeric($_POST['image_id'])){
            $image_id = $_POST['image_id'];
            header("Location: edit.php?id={$image_id}");
        }else{
            $error_message = "Error, please try again.";
        }
    }
    
    $sql = "SELECT * FROM image LEFT JOIN category ON image.category_id=category.category_id WHERE status = {$status} ORDER BY upload_date DESC;";
    $images = $dbConnect->doQuery($sql);
    
    if(!$images) $images = array();
    
    $sql = "SELECT COUNT(*) FROM image WHERE status = 1;";
    $published = $dbConnect->doQuery($sql, true, true);
    $sql = "SELECT COUNT(*) FROM image WHERE status = 2;";
    $for_review = $dbConnect->doQuery($sql, true, true);
    $sql = "SELECT COUNT(*) FROM image WHERE status = 0;";
    $deleted = $dbConnect->doQuery($sql, true, true);
    
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <?php include '_head.php'; ?>
        <title>Meet the Serbs | Administration</title>
    </head>
    <body>
        <?php  include '_header.php'; ?>
        <div class="container administration-container">
            <div class="top-menu">
                <ul>
                    <li <?php if($status == 1) echo "class='selected'"; ?>><a href="admin.php?status=1">Published <strong><?php echo $published; ?></strong></a></li>
                    <li <?php if($status == 2) echo "class='selected'"; ?>><a href="admin.php?status=2">For review <strong><?php echo $for_review; ?></strong></a></li>
                    <li <?php if($status == 0) echo "class='selected'"; ?>><a href="admin.php?status=0">Deleted <strong><?php echo $deleted; ?></strong></a></li>
                </ul>
            </div>
            <p><?php if($error_message != "") echo $error_message; ?></p>
            <p><?php if($message != "") echo $message; ?></p>
                <?php
                    if(empty($images)) echo "<p class='info'>No items.</p>";
                    foreach ($images as $key => $image) { ?>
                            <article class="image-container">
                                <form action="" method="POST">
                                    <p class="user-name"><?php if($image['author_name']) echo $image['author_name']; else echo "--Unknown--"?></p>
                                    <p class="upload-time"><?php echo $dbConnect->calculateElipsedTime($image['upload_date']); ?></p>
                                    <div class="image-wrap" style="background-image: url('<?php echo $settings['image_folder'].$image['path']; ?>');">
                                    </div>
                                    <div class="buttons-wrap">
                                        <input type="hidden" name="image_id" value="<?php echo $image['image_id'] ?>"/>
                                        <?php if($status != 0): ?>
                                            <input type="submit" name="edit" value="edit"/>
											<?php if($status != 1){ ?>
												<input type="submit" name="publish" value="publish"/>
											<?php } ?>
                                            <input type="submit" name="delete" value="delete"/>
                                        <?php else: ?>
                                            <input type="submit" name="permanent-delete" value="permanent delete"/>
                                        <?php endif; ?>
                                    </div>
                                </form>
                            </article>
                <?php } ?>
        </div>
        <?php include '_footer.php'; ?>
    </body>
</html>