<?php
class dbConnect {

    public $connection;
    public static $user;

    protected $host = "localhost";
    protected $db_user = "meettheserbs";
    protected $password = "";
    protected $database = "meettheserbs";
            
    function __construct() {
        $this->connection = 
            mysqli_connect($this->host, $this->db_user, $this->password, $this->database);
    
        if($this->connection === false) die("Could not connect!");
    }

    public static function getUser() {
        if(isset($_SESSION['user'])){
            self::$user = $_SESSION['user'];
        }
    }
    
    public function doQuery($query, $oneRow = false, $count = false) {
        $result = mysqli_query($this->connection, $query);
        if(is_bool($result)) return $result;
        
        // Fetch all the rows in an array
        $rows = array();
        while ($row = mysqli_fetch_assoc($result)) {
            $rows[] = $row;
        }
        if(empty($rows)) return false;
        
        if($oneRow && $count) return $rows[0]['COUNT(*)'];
        
        return $oneRow ? $rows[0] : $rows;
    }
    
    public function calculateElipsedTime ($time){
        
        $time = time() - strtotime($time);
        $time = ($time < 1) ? 1 : $time;
        $tokens = array (
            31536000 => 'year',
            2592000 => 'month',
            604800 => 'week',
            86400 => 'day',
            3600 => 'hour',
            60 => 'minute',
            1 => 'second'
        );

        foreach ($tokens as $unit => $text) {
            if ($time < $unit) continue;
            $numberOfUnits = floor($time / $unit);
            return $numberOfUnits . ' ' . $text . ( ($numberOfUnits > 1) ? 's' : '' );
        }

    }
    
    public function getImageComments($image_id, $count = false, $status = NULL) {
        $condition = "";
        if($status && in_array($status, array(1,2))){
            $condition = "AND status = {$status}";
        }
        $sql = "SELECT * FROM comment LEFT JOIN user ON user.user_id=comment.user_id WHERE image_id = {$image_id} {$condition} ORDER BY create_date DESC;";
        $comments = $this->doQuery($sql);
        if(!$comments) $comments = array();
        return ($count ? count($comments) : $comments);
    }

}

