<?php
    session_start();
    include_once 'settings.php';
    include_once 'connect.php';

    dbConnect::getUser();

    $dbConnect = new dbConnect();
    
    if(!isset($_GET['id']) || !is_numeric($_GET['id']) || !$_GET['id']) header ("Location: index.php");
    $id = mysqli_real_escape_string($dbConnect->connection, $_GET['id']);

    $sql = "SELECT * FROM image LEFT JOIN category ON image.category_id=category.category_id WHERE `image_id` = {$id} LIMIT 1;";
    $image = $dbConnect->doQuery($sql, true);

    $error_message = $message = "";
    if(isset($_POST["send"])) {
        if(dbConnect::$user){
            
            if(isset($_POST['text']) && $_POST['text'] != ''){
                $text = mysqli_real_escape_string($dbConnect->connection, $_POST['text']);

                $sql = "INSERT INTO `comment` (`comment_id`, `text`, `create_date`, `user_id`, `image_id`, `status`)
                                       VALUES (NULL, '{$text}', NOW(), '".dbConnect::$user['user_id']."', '{$id}', '1');";
                $dbConnect->doQuery($sql);

                $message = "Thank you for comment.";
            }else {
               $error_message = "Please, write comment."; 
            }
            
            
        }else{
            $error_message = "Login to comment.";
        }
    }
    
    $comments = $dbConnect->getImageComments($image['image_id'], false, 1);

?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <?php include '_head.php'; ?>
        <title>Meet the Serbs | Image</title>
    </head>
    <body>
        <?php include '_header.php'; ?>
        <div class="container image-view">
            <div class="col-half">
                <div class="image-wrap" style="background-image: url('<?php echo $settings['image_folder'].$image['path']; ?>');"></div>
            </div>
            <div class="col-half">
                <p class="user-name"><?php if($image['author_name']){ echo $image['author_name']; }else{ echo "Marko Markovic"; } ?></p>
                <p class="upload-time"><?php echo $dbConnect->calculateElipsedTime($image['upload_date']); ?></p>
                <p class="description" title="<?php echo $image['description']; ?>">
                    <strong><?php echo "#{$image['name']} "; ?></strong>
                    <?php echo $image['description']; ?>
                </p>
                <div class="comments-wrap">
                    <p title="Add new comment" onclick="$('#comment_form').slideToggle();">+ Add comment</p>
                    <p class="error-message" style="<?php if($error_message != "") echo 'display:block;'; ?>"><?php if($error_message != "") echo $error_message; ?></p>
                    <p class="message" style="<?php if($message != "") echo 'display:block;'; ?>"><?php if($message != "") echo $message; ?></p>
                    <form action="" method="POST" id="comment_form" style="display: none;" enctype="multipart/form-data">
                        <div class="row">
                            <textarea class="required" name="text" rows="10" cols="70" placeholder="Comment"></textarea>
                        </div>
                        <div class="row buttons">
                            <input type="submit" name="send" value="Send"/>
                        </div>
                    </form>
                    <ul>
                        <p><?php if(empty($comments)) echo "No comments."; ?></p>
                        <?php foreach ($comments as $key => $comment) { ?> 
                            <li>
                                <p class="name"><?php echo $comment['name']; ?></p>
                                <p class="time"><?php echo $dbConnect->calculateElipsedTime($comment['create_date']); ?> ago</p>
                                <p class="comment"><?php echo $comment['text'] ?></p>
                            </li>
                        <?php } ?>
                    </ul>
                </div>
            </div>
            <div style="clear: both;"></div>
        </div>
        <?php include '_footer.php'; ?>
    </body>
</html>




