<?php
    session_start();
    include_once 'settings.php';
    include_once 'connect.php';

    dbConnect::getUser();
    
    $dbConnect = new dbConnect();
    
    $sql = "SELECT * FROM category;";
    $categoies = $dbConnect->doQuery($sql);
    
    $search = "";
    if(isset($_GET['search']) && $_GET['search']){
        $value = mysqli_real_escape_string($dbConnect->connection, $_GET['search']);
        $search = "AND description LIKE '%$value%'";
    }
    
    if(isset($_GET['category']) && $_GET['category'] && is_numeric($_GET['category'])){
        $catSerach = mysqli_real_escape_string($dbConnect->connection, $_GET['category']);
        $search = "AND image.category_id = $catSerach";
    }
    
    $sql = "SELECT * FROM image LEFT JOIN category ON image.category_id=category.category_id WHERE status = 1 $search ORDER BY upload_date DESC;";
    $images = $dbConnect->doQuery($sql);
    
    if(!$images) $images = array();
    
    $page = isset($_GET['page']) && is_numeric($_GET['page']) && $_GET['page'] ? $_GET['page'] : 1;
    $totalItems = count($images);
    $limit = $settings["paginationLimit"];
    $pages = ceil($totalItems/$limit);
    
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <?php include_once '_head.php'; ?>
        <title>Meet the Serbs</title>
        <script type="text/javascript">
            $(document).ready(function(){
                
                $('.image-vote').on('click', function(){
                    var _this = $(this);
                    $.ajax({ 
                        url: "image_vote.php",
                        type: 'POST',
                        data: {id: $(this).data('id'), vote: $(this).attr('name')},
                        success: function(data, text, obj){
                                if(!isNaN(data)){
                                    _this.val(_this.val()[0] + data);
                                }else{ alert(data);}
                            }
                    });
                });
                
            });
        </script>
    </head>
    <body>
        <?php include_once '_header.php'; ?>
        <div class="container home-page">
            <div class="top-menu">
                <ul>
                    <?php foreach ($categoies as $cat){ ?>
                    <li <?php if(isset($catSerach) && $cat['category_id'] == $catSerach) echo "class='selected'" ?>><a href="index.php?category=<?php echo $cat['category_id']; ?>">#<?php echo $cat['name']; ?></a></li>
                    <?php } ?>
                </ul>
            </div>
<?php
    if(empty($images)) echo "<p class='info'>No items.</p>";
    foreach ($images as $key => $image) { ?>
        <?php   
                $index = $key + 1;
                $max = $page*$limit;
                $min = $max-$limit+1;
                if($min > $index) continue;
                if($max < $index) break; 
        ?>
            <article class="image-container">
                    <p class="user-name"><?php if($image['author_name']){ echo $image['author_name']; }else{ echo "Marko Markovic"; } ?></p>
                    <p class="upload-time"><?php echo $dbConnect->calculateElipsedTime($image['upload_date']); ?></p>
                    <div class="image-wrap" onclick="window.location = 'image.php?id=<?php echo $image['image_id'] ?>'" style="background-image: url('<?php echo $settings['image_folder'].$image['path']; ?>');">
                    </div>
                    <div class="buttons-wrap">
                        <input type="button" name="plus" class="image-vote" data-id="<?php echo $image['image_id'] ?>" value="<?php echo "+" . $image['plus']; ?>"/>
                        <input type="button" name="minus" class="image-vote" data-id="<?php echo $image['image_id'] ?>" value="<?php echo "-" . $image['minus']; ?>"/>
                        <input type="button" name="comment" onclick="window.location = 'image.php?id=<?php echo $image['image_id'] ?>'" value="<?php echo "Comments " . $dbConnect->getImageComments($image['image_id'], true, 1); //. $image['minus']; ?>"/>
                    </div>
                    <p class="description" title="<?php echo $image['description']; ?>">
                        <strong><?php echo "#{$image['name']} "; ?></strong>
                        <?php echo $image['description']; ?>
                    </p>
            </article>
<?php } ?>
            <div class="pagination">
                <ul>
                <?php for ($i = 1; $i <= $pages; $i++) { ?>
                    <li class="<?php if($page == $i) echo "selected"; ?>"><a href="index.php?page=<?php echo $i; ?>"><?php echo $i; ?></a></li>
                <?php }  ?>
                </ul>
            </div>
        </div>
        <?php include_once '_footer.php'; ?>
    </body>
</html>


