<?php
    session_start();
    include 'settings.php';
    include 'connect.php';
    
    dbConnect::getUser();
    
    $dbConnect = new dbConnect();
    $sql = "SELECT * FROM category;";
    $categoies = $dbConnect->doQuery($sql);
    
    $error_message = $message = "";
    if(isset($_POST["submit"])) {
        try {
            if(!$_FILES && $_FILES["image"]["tmp_name"] == "") throw new Exception("Please upload file.");
            
            $path = $settings['image_folder'] . str_replace(".", "-" . date("YmdHis") . ".", basename($_FILES["image"]["name"]));
            $file_type = pathinfo($path, PATHINFO_EXTENSION);

            $check = @getimagesize($_FILES["image"]["tmp_name"]);
            if($check === false) throw new Exception("File is not an image.");

            if (file_exists($path)) throw new Exception("Sorry, file already exists.");

            // LESS THAN 5MB
            if ($_FILES["image"]["size"] > (5*1024*1024)) throw new Exception("Sorry, your file is too large.");

            if($file_type != "jpg" && $file_type != "png" && $file_type != "jpeg"
            && $file_type != "gif" ) throw new Exception("Sorry, only JPG, JPEG, PNG & GIF files are allowed.");

            if (!move_uploaded_file($_FILES["image"]["tmp_name"], $path)) 
                    throw new Exception("Sorry, there was an error uploading your file.");
            
            $description = mysqli_real_escape_string($dbConnect->connection, $_POST['description']);
            $author_name = mysqli_real_escape_string($dbConnect->connection, $_POST['author_name']);
            $category = $_POST['category'];
            
            $sql = "INSERT INTO `image` (`image_id`, `path`, `description`, `author_name`, `category_id`, `plus`, `minus`, `upload_date`, `status`) 
                            VALUES (NULL, '". basename($path)."', '{$description}', '{$author_name}', {$category}, NULL, NULL, NOW(), 2);";
            $result = $dbConnect->doQuery($sql);
            
            if(!$result) throw new Exception("An error occured, please try again.");
            
            $message = "The file ". basename( $_FILES["image"]["name"]). " has been uploaded.";
            
        } catch (Exception $e) {
            $error_message = $e->getMessage();
        }

        
    }
    
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <?php include '_head.php'; ?>
        <title>Meet the Serbs | Upload image</title>
    </head>
    <body>
        <?php include '_header.php'; ?>
        <div class="container">
            <p class="error-message" style="<?php if($error_message != "") echo 'display:block;'; ?>"><?php if($error_message != "") echo $error_message; ?></p>
            <p class="message" style="<?php if($message != "") echo 'display:block;'; ?>"><?php if($message != "") echo $message; ?></p>
            <form action="" method="POST" enctype="multipart/form-data">
                <fieldset>
                    <legend>Upload image and write description:</legend>
                    <div class="row">
                        <input class="required" type="text" name="author_name" placeholder="Author name"/>
                    </div>
                    <div class="row">
                        <input class="required" type="file" name="image" id="image" placeholder="Image"/>
                    </div>
                    <div class="row">
                        <textarea class="required" name="description" rows="10" cols="70" placeholder="Description"></textarea><br>
                    </div>
                    <div class="row">
                        <select name="category" class="required">
                            <option>Select category</option>
                            <?php foreach ($categoies as $key => $category) { ?>
                                <option value="<?php echo $category['category_id']; ?>"><?php echo $category['name']; ?></option>
                            <?php } ?>
                        </select>
                    </div>
                    <div class="row buttons">
                        <input type="submit" name="submit" value="Save"/>
                    </div>
                </fieldset>
            </form>
        </div>
        <?php include '_footer.php'; ?>
    </body>
</html>


